<?php
/*********************************************************************************
	Call2Pay API Demo - Testanruf
	- startet im Testmodus den Anruf
*********************************************************************************/
	
	do {
	// GET-Params auswerten
		$number = getGetVar('number');
		$tan = getGetVar('tan');
		$caller = getGetVar('caller');
		$origin = getGetVar('origin', "LANDLINE");
		$durationpart = getGetVar('durationpart', 0);
		if (empty($number) || empty($durationpart)) { break; };
		
	// Service Initialisierung
		$oService = new Service();
		$oService -> setParam('number', $number);
		$oService -> setParam('tan', $tan);
		$oService -> setParam('caller', $caller);
		$oService -> setParam('origin', $origin);
		$oService -> setParam('durationpart', $durationpart);
		if (!$oService -> request('testcall')) { $errorText = 'Service nicht erreichbar'; break; };
		
	// Servicefunction status aufrufen
		$error = $oService -> getResult('error', 0);
		$errormessage = $oService -> getResult('errormessage');
		if ($error) { $errorText = 'Servicefehler: ' . $error . ' ' . $errormessage; break; };
		
	// Servicerckgaben auswerten
		$handle = $oService -> getResult('handle');
		$infoText = 'Nummer wird angerufen! Handle: ' . $handle;
	}
	while (0);
?>
	<form action="index.php" method="get">
	<input type="hidden" name="page" value="testcall">
	<div style="float:left">
		<label for="number">Rufnummer</label><br>
		<input type="text" id="number" name="number" size="20" value="<?php echo $number; ?>">
	</div>
	<div>
		<label for="tan">TAN</label><br>
		<input type="text" id="tan" name="tan" size="6" value="<?php echo $tan; ?>">
	</div>
	<br>
	
	<div style="float:left">
		<label for="caller">Anrufer</label><br>
		<input type="text" id="caller" name="caller" size="20" value="<?php echo $caller; ?>">
	</div>
	<div>
		<br>
		<input type="radio" id="origin1" name="origin" value="LANDLINE" <?php echo $origin == 'LANDLINE' ? 'checked' : ''; ?>>
		<label for="origin1">Festnetz</label>
		<input type="radio" id="origin2" name="origin" value="MOBILE" <?php echo $origin == 'MOBILE' ? 'checked' : ''; ?>>
		<label for="origin2">Mobilnetz</label>
	</div>
	<br>
	
	<div>
		<label for="durationpart">Dauer in Sek.</label><br>
		<input type="text" id="durationpart" name="durationpart" size="6" value="<?php echo $durationpart; ?>">
	</div>
	<br>

	<div class="center">
		<input type="submit" value="Anrufen">
	</div>
	<br>
	
	<div class="message">
		<span class="error"><?php echo $errorText; ?></span>
		<span class="info"><?php echo $infoText; ?></span>
	</div>
	</form>
